Get contact
curl --request GET \
--url https://connect.fmgsuite.com/v1/fmg/contact/contacts/{contactId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://connect.fmgsuite.com/v1/fmg/contact/contacts/{contactId}"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://connect.fmgsuite.com/v1/fmg/contact/contacts/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contactId": 123,
"identifier": "<string>",
"remoteContactId": "<string>",
"source": 123,
"sourceText": "<string>",
"isCrmLinkedContact": true,
"emailAddress": "<string>",
"phone": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"nickname": "<string>",
"birthDate": "<string>",
"clientAnniversary": "<string>",
"dateTimeUnsubscribed": "<string>",
"dateTimeCreated": "<string>",
"dateTimeModified": "<string>",
"gender": 0,
"maritalStatus": 0,
"emailStatus": 123,
"disableEmailStatus": true,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"groupIds": [
1
],
"remoteContactUrl": "<string>",
"customFields": [
{
"key": "<string>",
"label": "<string>",
"author": "<string>",
"display": "<string>",
"value": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}fmg contact
Get contact
GET
/
fmg
/
contact
/
contacts
/
{contactId}
Get contact
Authorizations
OAuth 2.1 access tokens issued by Stytch Connected Apps.
API usage-plan key. Required on every request, sent as the x-api-key header.
Path Parameters
Query Parameters
Response
Contact detail.
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
0 maritalStatus
Option 1 · enum<number>Option 2 · enum<number>Option 3 · enum<number>Option 4 · enum<number>Option 5 · enum<number>Option 6 · enum<number>Option 7 · enum<number>
Available options:
0 Required range:
x >= 0Show child attributes
Show child attributes
⌘I